/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CITSapplMgmtIDs"
 * 	found in "../CITSapplMgmtIDs.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_VarLengthNumber2_H_
#define	_VarLengthNumber2_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>
#include <constr_CHOICE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Dependencies */
typedef enum VarLengthNumber2_PR {
	VarLengthNumber2_PR_NOTHING,	/* No components present */
	VarLengthNumber2_PR_shortNo,
	VarLengthNumber2_PR_longNo
} VarLengthNumber2_PR;

/* VarLengthNumber2 */
typedef struct VarLengthNumber2 {
	VarLengthNumber2_PR present;
	union VarLengthNumber2_u {
		long	 shortNo;
		long	 longNo;
	} choice;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} VarLengthNumber2_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_VarLengthNumber2;

#ifdef __cplusplus
}
#endif

#endif	/* _VarLengthNumber2_H_ */
#include <asn_internal.h>
